=== debian/changelog ===
openslide (3.2.4-1) unstable; urgency=low

  * Initial release (Closes: #640027)

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Thu, 01 Sep 2011 17:18:40 +0200
