=== debian/control ===
Source: openslide
Section: libs
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Mathieu Malaterre <mathieu.malaterre@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), cmake (>= 2.6.2), quilt (>= 0.46-7~),
 libjpeg-dev, libopenjpeg-dev, zlib1g-dev, libtiff-dev, libgtk2.0-dev
Standards-Version: 3.9.2
Homepage: http://openslide.org
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/openslide/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/openslide/trunk/

Package: libopenslide0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for reading whole slide image files
 OpenSlide is a C library that provides a simple interface to read whole-slide
 images also known as virtual slides.
 .
 Whole-slide images, also known as virtual slides, are large, high resolution
 images used in digital pathology. Reading these images using standard image
 tools or libraries is a challenge because these tools are typically designed
 for images that can comfortably be uncompressed into RAM or a swap file.
 Whole-slide images routinely exceed RAM sizes, often occupying tens of
 gigabytes when uncompressed. Additionally, whole-slide images are typically
 multi-resolution, and only a small amount of image data might be needed at a
 particular resolution.
 .
 This library currently supports:
  -Trestle (.tif)
  -Hamamatsu (.vms, .vmu)
  -Aperio (.svs, .tif)
  -MIRAX (.mrxs)
  -Generic tiled TIFF (.tif)
 .
 This package contains the libraries needed to run OpenSlide applications.

Package: libopenslide-dev
Provides: libopenslide0-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libopenslide0 (= ${binary:Version})
Description: Development files for the OpenSlide library
 OpenSlide is a C library that provides a simple interface to read whole-slide
 images also known as virtual slides.
 .
 Whole-slide images, also known as virtual slides, are large, high resolution
 images used in digital pathology. Reading these images using standard image
 tools or libraries is a challenge because these tools are typically designed
 for images that can comfortably be uncompressed into RAM or a swap file.
 Whole-slide images routinely exceed RAM sizes, often occupying tens of
 gigabytes when uncompressed. Additionally, whole-slide images are typically
 multi-resolution, and only a small amount of image data might be needed at a
 particular resolution.
 .
 This library currently supports:
  -Trestle (.tif)
  -Hamamatsu (.vms, .vmu)
  -Aperio (.svs, .tif)
  -MIRAX (.mrxs)
  -Generic tiled TIFF (.tif)
 .
 This package contains development files needed to build OpenSlide applications.

Package: openslide-tools
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Manipulation and conversion tools for OpenSlide
 OpenSlide is a C library that provides a simple interface to read whole-slide
 images also known as virtual slides.
 .
 Whole-slide images, also known as virtual slides, are large, high resolution
 images used in digital pathology. Reading these images using standard image
 tools or libraries is a challenge because these tools are typically designed
 for images that can comfortably be uncompressed into RAM or a swap file.
 Whole-slide images routinely exceed RAM sizes, often occupying tens of
 gigabytes when uncompressed. Additionally, whole-slide images are typically
 multi-resolution, and only a small amount of image data might be needed at a
 particular resolution.
 .
 This library currently supports:
  -Trestle (.tif)
  -Hamamatsu (.vms, .vmu)
  -Aperio (.svs, .tif)
  -MIRAX (.mrxs)
  -Generic tiled TIFF (.tif)
 .
 This package contains command line tools for file manipulation.
