=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh --parallel --with quilt $@ 

get-orig-source:
	./debian/get-orig-source
