=== debian/changelog ===
openslide (3.2.5-1) unstable; urgency=low

  * New upstream
  * Redo the man page directly using docbook.

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Mon, 19 Dec 2011 17:53:33 +0100

openslide (3.2.4-2) unstable; urgency=low

  * Fix Vcs-Browser URL
  * Update man pages
  * Fix lintian warnings about d/copyright

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Wed, 07 Dec 2011 22:18:43 +0100
