=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
 Uploaders: Mathieu Malaterre <mathieu.malaterre@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), cmake (>= 2.6.2), quilt (>= 0.46-7~),
+Build-Depends: debhelper (>= 8),
  libjpeg-dev, libopenjpeg-dev, zlib1g-dev, libtiff-dev, libgtk2.0-dev
 Standards-Version: 3.9.2
 Homepage: http://openslide.org
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/openslide/trunk/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/openslide/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/openslide/trunk/
+Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/openslide/trunk/
 
 Package: libopenslide0
 Architecture: any
@@ -67,6 +67,7 @@
 Section: graphics
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: libtiff-tools
 Description: Manipulation and conversion tools for OpenSlide
  OpenSlide is a C library that provides a simple interface to read whole-slide
  images also known as virtual slides.
