## openslide 3.2.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -37,7 +37,7 @@
 # definine the library version
 set(OPENSLIDE_WORLD_VERSION "3")
 set(OPENSLIDE_MAJOR_VERSION "2")
-set(OPENSLIDE_MINOR_VERSION "5")
+set(OPENSLIDE_MINOR_VERSION "6")
 set(OPENSLIDE_VERSION_NUMBER ${OPENSLIDE_WORLD_VERSION}.${OPENSLIDE_MAJOR_VERSION}.${OPENSLIDE_MINOR_VERSION})
 
 # create a config.h header-file
