=== debian/changelog ===
openslide (3.2.6-2) unstable; urgency=low

  * Rebuild against libtiff5
  * Use my @d.o alias, remove DMUA flag
  * Add missing copyrights in d/copyright
  * Use dh(9) for hardening flags
  * Make multiarch

 -- Mathieu Malaterre <malat@debian.org>  Wed, 11 Apr 2012 12:15:58 +0200

openslide (3.2.6-1) unstable; urgency=low

  * Fix regression in openslide_read_region introduced in 3.2.5
  * Bump Std-Ver to 3.9.3, no changes needed.
  * Replace DEP5 with Copyright Format 1.0.

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sun, 26 Feb 2012 22:10:24 +0100
