=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
-Uploaders: Mathieu Malaterre <mathieu.malaterre@gmail.com>
-Build-Depends: debhelper (>= 8),
- libjpeg-dev, libopenjpeg-dev, zlib1g-dev, libtiff-dev, libgtk2.0-dev
-Standards-Version: 3.9.2
+Uploaders: Mathieu Malaterre <malat@debian.org>
+Build-Depends: debhelper (>= 9),
+ libjpeg-dev, libopenjpeg-dev, zlib1g-dev, libtiff5-dev, libgtk2.0-dev
+Standards-Version: 3.9.3
 Homepage: http://openslide.org
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/openslide/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/openslide/trunk/
@@ -14,6 +13,7 @@
 Package: libopenslide0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Description: library for reading whole slide image files
  OpenSlide is a C library that provides a simple interface to read whole-slide
  images also known as virtual slides.
