=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 	rm $<.dummy.xml
 
 debian/openslide-show-properties.1 : ListofKnownProperties.xml Trestleformat.xml Hamamatsuformat.xml Aperioformat.xml MIRAXformat.xml GenerictiledTIFFformat.xml debian/openslide-show-properties.1.xml
-	(cd debian && xsltproc --xinclude /usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl openslide-show-properties.1.xml)
+	(cd debian && xsltproc --xinclude openslide-show-properties.1.xml)
 
 # DO NOT USE for now
 #debian/openslide-quickhash1sum.1: debian/openslide-quickhash1sum.1.in
