=== debian/watch ===
version=3
http://githubredir.debian.net/github/openslide/openslide/ v(.*).tar.gz
