## openslide 3.3.2

=== debian/changelog ===
openslide (3.3.2-1) unstable; urgency=low

  * New upstream: fixes seams in MIRAX 2.2 slides
  * Make sure that build is verbose

 -- Mathieu Malaterre <malat@debian.org>  Tue, 11 Dec 2012 09:42:54 +0100

openslide (3.3.1-1) unstable; urgency=low

  * New upstream
  * Update man page
  * remove patches applied upstream:
    - debian/patches/remove_valgrind.patch
    - debian/patches/remove_calgrind.patch
  * Add missing B-D: libxml2-dev 

 -- Mathieu Malaterre <malat@debian.org>  Sun, 21 Oct 2012 18:37:54 +0200
