## openslide 3.3.3

=== debian/changelog ===
openslide (3.3.3-1) unstable; urgency=low

  * New upstream: adds minor compatibility improvements for Aperio JP2K

 -- Mathieu Malaterre <malat@debian.org>  Wed, 17 Apr 2013 16:39:14 +0200
