=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>
 Build-Depends: debhelper (>= 9),
- libjpeg-dev, libopenjpeg-dev, zlib1g-dev, libtiff5-dev, libgtk2.0-dev
+ libjpeg-dev, libopenjpeg-dev, zlib1g-dev, libtiff5-dev, libgtk2.0-dev, libxml2-dev
 Standards-Version: 3.9.3
 Homepage: http://openslide.org
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/openslide/trunk/
