## openslide 3.4.0

=== debian/changelog ===
openslide (3.4.0-1) unstable; urgency=low

  * New upstream, Closes: #735382, #732273, #734375
  * Move openslide supported file format doc to openslide-formats.3
  * Add new depends to sqlite3
  * Bump Std-Vers to 3.9.5 no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Sun, 26 Jan 2014 09:27:48 +0100
