=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>
 Build-Depends: debhelper (>= 9),
- libjpeg-dev, libopenjpeg-dev, zlib1g-dev, libtiff5-dev, libgtk2.0-dev, libxml2-dev
-Standards-Version: 3.9.3
+ libjpeg-dev, libopenjpeg-dev, zlib1g-dev, libtiff-dev, libgtk2.0-dev, libxml2-dev, libsqlite3-dev
+Standards-Version: 3.9.5
 Homepage: http://openslide.org
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/openslide/trunk/
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/openslide/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/openslide/trunk/
 
 Package: libopenslide0
 Architecture: any
@@ -28,11 +28,13 @@
  particular resolution.
  .
  This library currently supports:
-  -Trestle (.tif)
-  -Hamamatsu (.vms, .vmu)
-  -Aperio (.svs, .tif)
-  -MIRAX (.mrxs)
-  -Generic tiled TIFF (.tif)
+  - Aperio (.svs, .tif)
+  - Hamamatsu (.vms, .vmu, .ndpi)
+  - Leica (.scn)
+  - MIRAX (.mrxs)
+  - Sakura (.svslide)
+  - Trestle (.tif)
+  - Generic tiled TIFF (.tif)
  .
  This package contains the libraries needed to run OpenSlide applications.
 
@@ -55,11 +57,13 @@
  particular resolution.
  .
  This library currently supports:
-  -Trestle (.tif)
-  -Hamamatsu (.vms, .vmu)
-  -Aperio (.svs, .tif)
-  -MIRAX (.mrxs)
-  -Generic tiled TIFF (.tif)
+  - Aperio (.svs, .tif)
+  - Hamamatsu (.vms, .vmu, .ndpi)
+  - Leica (.scn)
+  - MIRAX (.mrxs)
+  - Sakura (.svslide)
+  - Trestle (.tif)
+  - Generic tiled TIFF (.tif)
  .
  This package contains development files needed to build OpenSlide applications.
 
@@ -82,10 +86,12 @@
  particular resolution.
  .
  This library currently supports:
-  -Trestle (.tif)
-  -Hamamatsu (.vms, .vmu)
-  -Aperio (.svs, .tif)
-  -MIRAX (.mrxs)
-  -Generic tiled TIFF (.tif)
+  - Aperio (.svs, .tif)
+  - Hamamatsu (.vms, .vmu, .ndpi)
+  - Leica (.scn)
+  - MIRAX (.mrxs)
+  - Sakura (.svslide)
+  - Trestle (.tif)
+  - Generic tiled TIFF (.tif)
  .
  This package contains command line tools for file manipulation.
