=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,8 @@
 	wget -O $@ http://openslide.org/formats/hamamatsu/
 Aperioformat.html:
 	wget -O $@ http://openslide.org/formats/aperio/
+Sakuraformat.html:
+	wget -O $@ http://openslide.org/formats/sakura/
 MIRAXformat.html:
 	wget -O $@ http://openslide.org/formats/mirax/
 GenerictiledTIFFformat.html:
@@ -33,15 +35,15 @@
 	xmllint --nonet --output $@ --format $<.dummy.xml
 	rm $<.dummy.xml
 
-debian/openslide-show-properties.1 : ListofKnownProperties.xml Trestleformat.xml Hamamatsuformat.xml Aperioformat.xml MIRAXformat.xml GenerictiledTIFFformat.xml debian/openslide-show-properties.1.xml
-	(cd debian && sed -e 's@VER_FULL@$(VER_FULL)@g' openslide-show-properties.1.xml > openslide.tmp.xml)
+debian/openslide-formats.3 : ListofKnownProperties.xml Trestleformat.xml Hamamatsuformat.xml Aperioformat.xml Sakuraformat.xml MIRAXformat.xml GenerictiledTIFFformat.xml debian/openslide-formats.3.xml
+	(cd debian && sed -e 's@VER_FULL@$(VER_FULL)@g' openslide-formats.3.xml > openslide.tmp.xml)
 	(cd debian && xsltproc --xinclude openslide.tmp.xml)
 
 # DO NOT USE for now
-debian/openslide-quickhash1sum.1: debian/openslide-quickhash1sum.1.in
-	help2man --include=$< --output=$@ \
-		--no-info `basename $@ .1` --version-string=$(VER_FULL) --no-discard-stderr
-
-debian/openslide-write-png.1: debian/openslide-write-png.1.in
-	help2man --include=$< --output=$@ \
-		--no-info `basename $@ .1` --version-string=$(VER_FULL) --no-discard-stderr
+#debian/openslide-quickhash1sum.1: debian/openslide-quickhash1sum.1.in
+#	help2man --include=$< --output=$@ \
+#		--no-info `basename $@ .1` --version-string=$(VER_FULL) --no-discard-stderr
+#
+#debian/openslide-write-png.1: debian/openslide-write-png.1.in
+#	help2man --include=$< --output=$@ \
+#		--no-info `basename $@ .1` --version-string=$(VER_FULL) --no-discard-stderr
