=== debian/watch ===
version=3
http://openslide.org/download \
.*/openslide-([\d\.]+)\.tar\.xz
