## openslide 3.4.1+dfsg

=== debian/changelog ===
openslide (3.4.1+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version using openjpeg2 (libopenjp2-7-dev)
    Closes: #826824, #814222
  * DEP5 fixes
  * cme fix dpkg-control
  * hardening=+all
  * remove jquery.js from source
  * moved packaging from SVN to Git

 -- Andreas Tille <tille@debian.org>  Sun, 10 Jul 2016 08:42:12 +0200
