=== debian/control ===
--- 
+++ 
@@ -1,18 +1,25 @@
 Source: openslide
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Mathieu Malaterre <malat@debian.org>
 Section: libs
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Mathieu Malaterre <malat@debian.org>
 Build-Depends: debhelper (>= 9),
- libjpeg-dev, libopenjpeg-dev, zlib1g-dev, libtiff-dev, libgtk2.0-dev, libxml2-dev, libsqlite3-dev
-Standards-Version: 3.9.5
+               libjpeg-dev,
+               libopenjp2-7-dev,
+               zlib1g-dev,
+               libtiff-dev,
+               libgtk2.0-dev,
+               libxml2-dev,
+               libsqlite3-dev
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/openslide.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/openslide.git
 Homepage: http://openslide.org
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/openslide/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/openslide/trunk/
 
 Package: libopenslide0
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: library for reading whole slide image files
  OpenSlide is a C library that provides a simple interface to read whole-slide
@@ -39,10 +46,11 @@
  This package contains the libraries needed to run OpenSlide applications.
 
 Package: libopenslide-dev
+Architecture: any
+Section: libdevel
+Depends: ${misc:Depends},
+         libopenslide0 (= ${binary:Version})
 Provides: libopenslide0-dev
-Section: libdevel
-Architecture: any
-Depends: ${misc:Depends}, libopenslide0 (= ${binary:Version})
 Description: Development files for the OpenSlide library
  OpenSlide is a C library that provides a simple interface to read whole-slide
  images also known as virtual slides.
@@ -68,9 +76,10 @@
  This package contains development files needed to build OpenSlide applications.
 
 Package: openslide-tools
+Architecture: any
 Section: graphics
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Suggests: libtiff-tools
 Description: Manipulation and conversion tools for OpenSlide
  OpenSlide is a C library that provides a simple interface to read whole-slide
