=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,compression=xz" \
   http://openslide.org/download .*/openslide-([\d\.]+)\.tar\.xz
